diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
index c36598c0..a98ada74 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
@@ -9,15 +9,17 @@
 
 """Implements the Foreign Table Module."""
 
-import simplejson as json
 import sys
 import traceback
 from functools import wraps
 
-import pgadmin.browser.server_groups.servers.databases as databases
+import simplejson as json
 from flask import render_template, make_response, request, jsonify, \
     current_app
 from flask_babel import gettext
+
+import pgadmin.browser.server_groups.servers.databases as databases
+from config import PG_DEFAULT_DRIVER
 from pgadmin.browser.server_groups.servers.databases.schemas.utils import \
     SchemaChildModule, DataTypeReader
 from pgadmin.browser.server_groups.servers.databases.utils import \
@@ -25,12 +27,12 @@ from pgadmin.browser.server_groups.servers.databases.utils import \
 from pgadmin.browser.server_groups.servers.utils import parse_priv_from_db, \
     parse_priv_to_db
 from pgadmin.browser.utils import PGChildNodeView
+from pgadmin.utils import IS_PY2
 from pgadmin.utils.ajax import make_json_response, internal_server_error, \
     make_response as ajax_response, gone
 from pgadmin.utils.compile_template_name import compile_template_path
 from pgadmin.utils.driver import get_driver
-from config import PG_DEFAULT_DRIVER
-from pgadmin.utils import IS_PY2
+
 # If we are in Python3
 if not IS_PY2:
     unicode = str
@@ -252,7 +254,8 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
                             status=410,
                             success=0,
                             errormsg=gettext(
-                                "Could not find the required parameter (%s)." % arg
+                                "Could not find the required parameter (%s)." %
+                                arg
                             )
                         )
 
@@ -265,12 +268,14 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
                     list_params = ['inherits']
 
                 for key in req:
-                    if key in list_params and req[key] != '' \
-                            and req[key] is not None:
+                    if (
+                        key in list_params and req[key] != '' and
+                        req[key] is not None
+                    ):
                         # Coverts string into python list as expected.
-                        data[key] = [] if \
-                            type(req[key]) == list and len(req[key]) == 0 else \
-                            json.loads(req[key], encoding='utf-8')
+                        data[key] = []
+                        if type(req[key]) != list or len(req[key]) != 0:
+                            data[key] = json.loads(req[key], encoding='utf-8')
 
                         if key == 'inherits':
                             # Convert Table ids from unicode/string to int
@@ -352,6 +357,7 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
             )
 
             return f(*args, **kwargs)
+
         return wrap
 
     @check_precondition
@@ -442,8 +448,8 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
             )
 
         return gone(gettext(
-                    'Could not find the specified foreign table.'
-                    ))
+            'Could not find the specified foreign table.'
+        ))
 
     @check_precondition
     def properties(self, gid, sid, did, scid, foid):
@@ -458,7 +464,7 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
             foid: Foreign Table Id
         """
         data = self._fetch_properties(gid, sid, did, scid, foid)
-        if data == False:
+        if data is False:
             return gone(
                 gettext("Could not find the foreign table on the server.")
             )
@@ -579,7 +585,7 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
         res = []
         try:
             SQL = render_template("/".join(
-                [self.template_path,'get_tables.sql']),
+                [self.template_path, 'get_tables.sql']),
                 foid=foid, server_type=self.manager.server_type,
                 show_sys_objects=self.blueprint.show_system_objects)
             status, rset = self.conn.execute_dict(SQL)
@@ -591,7 +597,7 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
                 status=200
             )
 
-        except:
+        except Exception:
             exc_type, exc_value, exc_traceback = sys.exc_info()
             current_app.logger.error(
                 traceback.print_exception(exc_type,
@@ -634,7 +640,7 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
                     data=res['rows'],
                     status=200
                 )
-        except:
+        except Exception:
             exc_type, exc_value, exc_traceback = sys.exc_info()
             current_app.logger.error(traceback.print_exception(
                 exc_type,
@@ -722,7 +728,8 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
         try:
             # Fetch Name and Schema Name to delete the foreign table.
             SQL = render_template("/".join([self.template_path,
-                                            'delete.sql']), scid=scid, foid=foid)
+                                            'delete.sql']), scid=scid,
+                                  foid=foid)
             status, res = self.conn.execute_2darray(SQL)
             if not status:
                 return internal_server_error(errormsg=res)
@@ -738,7 +745,7 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
                     )
                 )
 
-            name =  res['rows'][0]['name']
+            name = res['rows'][0]['name']
             basensp = res['rows'][0]['basensp']
 
             SQL = render_template("/".join([self.template_path,
@@ -823,14 +830,14 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
             foid: Foreign Table Id
         """
         data = self._fetch_properties(gid, sid, did, scid, foid, inherits=True)
-        if data == False:
+        if data is False:
             return gone(
                 gettext("Could not find the foreign table on the server.")
             )
 
         col_data = []
         for c in data['columns']:
-            if (not 'inheritedfrom' in c) or (c['inheritedfrom'] is None):
+            if ('inheritedfrom' not in c) or (c['inheritedfrom'] is None):
                 col_data.append(c)
 
         data['columns'] = col_data
@@ -878,7 +885,7 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
             return make_json_response(
                 data=SQL,
                 status=200
-                )
+            )
         except Exception as e:
             return internal_server_error(errormsg=str(e))
 
@@ -896,7 +903,7 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
         if foid is not None:
             old_data = self._fetch_properties(gid, sid, did, scid, foid,
                                               inherits=True)
-            if old_data == False:
+            if old_data is False:
                 return gone(
                     gettext("Could not find the foreign table on the server.")
                 )
@@ -920,7 +927,10 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
 
                 # Parse Column Options
                 for c in data['columns']['changed']:
-                    old_col_options = c['attfdwoptions'] if ('attfdwoptions' in c and c['attfdwoptions']) else []
+                    old_col_options = c['attfdwoptions'] = []
+                    if 'attfdwoptions' in c and c['attfdwoptions']:
+                        old_col_options = c['attfdwoptions']
+
                     old_col_frmt_options = {}
 
                     for o in old_col_options:
@@ -933,8 +943,10 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
 
                     if 'coloptions' in c and len(c['coloptions']) > 0:
                         for o in c['coloptions']:
-                            if o['option'] in old_col_frmt_options and \
-                                            o['value'] != old_col_frmt_options[o['option']]:
+                            if (
+                                o['option'] in old_col_frmt_options and
+                                o['value'] != old_col_frmt_options[o['option']]
+                            ):
                                 c['coloptions_updated']['changed'].append(o)
                             elif o['option'] not in old_col_frmt_options:
                                 c['coloptions_updated']['added'].append(o)
@@ -942,7 +954,8 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
                                 del old_col_frmt_options[o['option']]
 
                     for o in old_col_frmt_options:
-                        c['coloptions_updated']['deleted'].append({'option': o})
+                        c['coloptions_updated']['deleted'].append(
+                            {'option': o})
 
             # Parse Privileges
             if 'acl' in data and 'added' in data['acl']:
@@ -972,7 +985,6 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
                                             'create.sql']), data=data)
             return SQL, data['name']
 
-
     @check_precondition
     def dependents(self, gid, sid, did, scid, foid):
         """
@@ -1096,13 +1108,13 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
         # So, we need to separate it as Length: 1, Precision: 1
         for c in cols['rows']:
             if c['fulltype'] != '' and c['fulltype'].find("(") > 0:
-                substr = c['fulltype'][c['fulltype'].find("(") + 1:c['fulltype'].find(")")]
+                substr = self.extract_type_length_precision(c)
                 typlen = substr.split(",")
                 if len(typlen) > 1:
-                    c['typlen'] = int(typlen[0]) if typlen[0].isdigit() else typlen[0]
-                    c['precision'] = int(typlen[1]) if typlen[1].isdigit() else typlen[1]
+                    c['typlen'] = self.convert_typlen_to_int(typlen)
+                    c['precision'] = self.convert_precision_to_int(typlen)
                 else:
-                    c['typlen'] = int(typlen[0]) if typlen[0].isdigit() else typlen[0]
+                    c['typlen'] = self.convert_typlen_to_int(typlen)
                     c['precision'] = None
 
             # Get formatted Column Options
@@ -1133,6 +1145,29 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
 
         return data
 
+    @staticmethod
+    def convert_precision_to_int(typlen):
+        return int(typlen[1]) if typlen[1].isdigit() else \
+            typlen[1]
+
+    @staticmethod
+    def convert_typlen_to_int(typlen):
+        return int(typlen[0]) if typlen[0].isdigit() else \
+            typlen[0]
+
+    def extract_type_length_precision(self, column):
+        full_type = column['fulltype']
+        return full_type[self.type_start_position(column):
+                         self.type_end_position(column)]
+
+    @staticmethod
+    def type_end_position(column):
+        return column['fulltype'].find(")")
+
+    @staticmethod
+    def type_start_position(column):
+        return column['fulltype'].find("(") + 1
+
     def _format_proacl_from_db(self, proacl):
         """
         Returns privileges.
@@ -1200,7 +1235,7 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
             SELECT Script sql for the object
         """
         data = self._fetch_properties(gid, sid, did, scid, foid)
-        if data == False:
+        if data is False:
             return gone(
                 gettext("Could not find the foreign table on the server.")
             )
@@ -1237,7 +1272,7 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
             INSERT Script sql for the object
         """
         data = self._fetch_properties(gid, sid, did, scid, foid)
-        if data == False:
+        if data is False:
             return gone(
                 gettext("Could not find the foreign table on the server.")
             )
@@ -1279,7 +1314,7 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
             UPDATE Script sql for the object
         """
         data = self._fetch_properties(gid, sid, did, scid, foid)
-        if data == False:
+        if data is False:
             return gone(
                 gettext("Could not find the foreign table on the server.")
             )
@@ -1324,7 +1359,7 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
             DELETE Script sql for the object
         """
         data = self._fetch_properties(gid, sid, did, scid, foid)
-        if data == False:
+        if data is False:
             return gone(
                 gettext("Could not find the foreign table on the server.")
             )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_add.py
index fff92c59..511582cb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_add.py
@@ -12,9 +12,9 @@ from __future__ import print_function
 import json
 import uuid
 
-from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.\
+from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     foreign_servers.tests import utils as fsrv_utils
-from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.\
+from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     tests import utils as fdw_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
@@ -71,14 +71,13 @@ class ForeignTableAddTestCase(BaseTestGenerator):
         data = {
             "acl": [],
             "basensp": self.schema_name,
-            "columns":
-                [
-                    {
-                        "attname": "ename",
-                        "datatype": "text",
-                        "coloptions": []
-                    }
-                ],
+            "columns": [
+                {
+                    "attname": "ename",
+                    "datatype": "text",
+                    "coloptions": []
+                }
+            ],
             "constraints": [],
             "ftoptions": [],
             "inherits": [],
@@ -92,8 +91,8 @@ class ForeignTableAddTestCase(BaseTestGenerator):
 
         response = self.tester.post(
             self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' + str(self.db_id) + '/'
-            + str(self.schema_id) + '/', data=json.dumps(data),
+            str(self.server_id) + '/' + str(self.db_id) + '/' +
+            str(self.schema_id) + '/', data=json.dumps(data),
             content_type='html/json')
 
         self.assertEquals(response.status_code, 200)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete.py
index 9973d106..f116f346 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete.py
@@ -52,7 +52,8 @@ class ForeignTableDeleteTestCase(BaseTestGenerator):
                                               self.fsrv_name, self.fdw_name)
         self.ft_id = ft_utils.create_foreign_table(self.server, self.db_name,
                                                    self.schema_name,
-                                                   self.fsrv_name, self.ft_name)
+                                                   self.fsrv_name,
+                                                   self.ft_name)
 
     def runTest(self):
         """This function will delete foreign table under test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_get.py
index 4653cac7..1c908b95 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_get.py
@@ -11,9 +11,9 @@ from __future__ import print_function
 
 import uuid
 
-from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.\
+from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     foreign_servers.tests import utils as fsrv_utils
-from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.\
+from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     tests import utils as fdw_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
@@ -52,7 +52,8 @@ class ForeignTableGetTestCase(BaseTestGenerator):
                                               self.fsrv_name, self.fdw_name)
         self.ft_id = ft_utils.create_foreign_table(self.server, self.db_name,
                                                    self.schema_name,
-                                                   self.fsrv_name, self.ft_name)
+                                                   self.fsrv_name,
+                                                   self.ft_name)
 
     def runTest(self):
         """This function will fetch foreign table under test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_put.py
index e72c4cca..aa62ea54 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_put.py
@@ -53,7 +53,8 @@ class ForeignTablePutTestCase(BaseTestGenerator):
                                               self.fsrv_name, self.fdw_name)
         self.ft_id = ft_utils.create_foreign_table(self.server, self.db_name,
                                                    self.schema_name,
-                                                   self.fsrv_name, self.ft_name)
+                                                   self.fsrv_name,
+                                                   self.ft_name)
 
     def runTest(self):
         """This function will update foreign table under test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/utils.py
index fe67a325..a3c98bfb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/utils.py
@@ -48,8 +48,8 @@ def create_foreign_table(server, db_name, schema_name, fsrv_name,
         # Get 'oid' from newly created foreign table
         pg_cursor.execute(
             "SELECT ftrelid FROM pg_foreign_table WHERE ftserver = "
-            "(SELECT oid FROM pg_foreign_server WHERE srvname = '%s') ORDER BY "
-            "ftrelid ASC limit 1" % fsrv_name)
+            "(SELECT oid FROM pg_foreign_server WHERE srvname = '%s') "
+            "ORDER BY ftrelid ASC limit 1" % fsrv_name)
 
         oid = pg_cursor.fetchone()
         ft_id = ''
@@ -74,8 +74,8 @@ def verify_foreign_table(server, db_name, fsrv_name):
 
         pg_cursor.execute(
             "SELECT ftrelid FROM pg_foreign_table WHERE ftserver = "
-            "(SELECT oid FROM pg_foreign_server WHERE srvname = '%s') ORDER BY "
-            "ftrelid ASC limit 1" % fsrv_name)
+            "(SELECT oid FROM pg_foreign_server WHERE srvname = '%s') "
+            "ORDER BY ftrelid ASC limit 1" % fsrv_name)
         fts = pg_cursor.fetchone()
         connection.close()
         return fts
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
index 9f2d6cf3..9c0db1d6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
@@ -9,20 +9,22 @@
 
 """Defines views for management of Fts Configuration node"""
 
-import simplejson as json
 from functools import wraps
 
-import pgadmin.browser.server_groups.servers.databases as databases
+import simplejson as json
 from flask import render_template, make_response, current_app, request, jsonify
 from flask_babel import gettext as _
+
+import pgadmin.browser.server_groups.servers.databases as databases
+from config import PG_DEFAULT_DRIVER
 from pgadmin.browser.server_groups.servers.databases.schemas.utils \
     import SchemaChildModule
 from pgadmin.browser.utils import PGChildNodeView
+from pgadmin.utils import IS_PY2
 from pgadmin.utils.ajax import make_json_response, internal_server_error, \
     make_response as ajax_response, gone
 from pgadmin.utils.driver import get_driver
-from config import PG_DEFAULT_DRIVER
-from pgadmin.utils import IS_PY2
+
 # If we are in Python3
 if not IS_PY2:
     unicode = str
@@ -32,7 +34,8 @@ class FtsConfigurationModule(SchemaChildModule):
     """
      class FtsConfigurationModule(SchemaChildModule)
 
-        A module class for FTS Configuration node derived from SchemaChildModule.
+        A module class for FTS Configuration node derived from
+        SchemaChildModule.
 
     Methods:
     -------
@@ -102,7 +105,8 @@ class FtsConfigurationView(PGChildNodeView):
     Methods:
     -------
     * __init__(**kwargs)
-      - Method is used to initialize the FtsConfigurationView and it's base view.
+      - Method is used to initialize the FtsConfigurationView and it's base
+      view.
 
     * module_js()
       - This property defines (if javascript) exists for this node.
@@ -117,7 +121,8 @@ class FtsConfigurationView(PGChildNodeView):
       - This function is used to list all the  nodes within that collection.
 
     * nodes()
-      - This function will be used to create all the child node within collection.
+      - This function will be used to create all the child node within
+      collection.
         Here it will create all the FTS Configuration nodes.
 
     * node()
@@ -125,13 +130,15 @@ class FtsConfigurationView(PGChildNodeView):
         Here it will create the FTS Template node based on its oid
 
     * properties(gid, sid, did, scid, cfgid)
-      - This function will show the properties of the selected FTS Configuration node
+      - This function will show the properties of the selected
+      FTS Configuration node
 
     * create(gid, sid, did, scid)
       - This function will create the new FTS Configuration object
 
     * update(gid, sid, did, scid, cfgid)
-      - This function will update the data for the selected FTS Configuration node
+      - This function will update the data for the selected
+      FTS Configuration node
 
     * delete(self, gid, sid, did, scid, cfgid):
       - This function will drop the FTS Configuration object
@@ -149,7 +156,8 @@ class FtsConfigurationView(PGChildNodeView):
       - This function will fetch all ftp parsers from the same schema
 
     * copyConfig():
-      - This function will fetch all existed fts configurations from same schema
+      - This function will fetch all existed fts configurations from same
+      schema
 
     * tokens():
       - This function will fetch all tokens from fts parser related to node
@@ -234,9 +242,11 @@ class FtsConfigurationView(PGChildNodeView):
                 kwargs['sid'])
             self.conn = self.manager.connection(did=kwargs['did'])
             # Set the template path for the SQL scripts
-            self.template_path = 'fts_configuration/sql/#{0}#'.format(self.manager.version)
+            self.template_path = 'fts_configuration/sql/#{0}#'.format(
+                self.manager.version)
 
             return f(*args, **kwargs)
+
         return wrap
 
     @check_precondition
@@ -363,7 +373,9 @@ class FtsConfigurationView(PGChildNodeView):
 
         if len(res['rows']) == 0:
             return gone(
-                _("Could not find the FTS Configuration node in the database node.")
+                _(
+                    "Could not find the FTS Configuration node in the "
+                    "database node.")
             )
 
         # In edit mode fetch token/dictionary list also
@@ -614,7 +626,7 @@ class FtsConfigurationView(PGChildNodeView):
         return make_json_response(
             data=SQL,
             status=200
-            )
+        )
 
     def get_sql(self, gid, sid, did, scid, data, cfgid=None):
         """
@@ -675,7 +687,10 @@ class FtsConfigurationView(PGChildNodeView):
                 data=new_data, o_data=old_data
             )
             # Fetch sql query for modified data
-            return sql.strip('\n'), data['name'] if 'name' in data else old_data['name']
+            if 'name' in data:
+                return sql.strip('\n'), data['name']
+
+            return sql.strip('\n'), old_data['name']
         else:
             # Fetch schema name from schema oid
             sql = render_template(
@@ -691,8 +706,10 @@ class FtsConfigurationView(PGChildNodeView):
             new_data = data.copy()
             new_data['schema'] = schema
 
-            if 'name' in new_data and \
-                            'schema' in new_data:
+            if (
+                'name' in new_data and
+                'schema' in new_data
+            ):
                 sql = render_template("/".join([self.template_path,
                                                 'create.sql']),
                                       data=new_data,
@@ -862,16 +879,16 @@ class FtsConfigurationView(PGChildNodeView):
             if not status:
                 return internal_server_error(
                     _(
-                        "Could not generate reversed engineered query for the FTS Configuration.\n{0}"
-                    ).format(
-                        res
-                    )
+                        "Could not generate reversed engineered query for the "
+                        "FTS Configuration.\n{0}"
+                    ).format(res)
                 )
 
             if res is None:
                 return gone(
                     _(
-                        "Could not generate reversed engineered query for FTS Configuration node.")
+                        "Could not generate reversed engineered query for "
+                        "FTS Configuration node.")
                 )
 
             return ajax_response(response=res)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/utils.py
index 1d6e5d27..f28ac02d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/utils.py
@@ -31,8 +31,8 @@ def create_fts_configuration(server, db_name, schema_name, fts_conf_name):
                                        server['sslmode'])
         pg_cursor = connection.cursor()
 
-        query = "CREATE TEXT SEARCH CONFIGURATION " + schema_name + "." + fts_conf_name + \
-                "(PARSER=default)"
+        query = "CREATE TEXT SEARCH CONFIGURATION " + schema_name + "." + \
+                fts_conf_name + "(PARSER=default)"
 
         pg_cursor.execute(query)
         connection.commit()
